> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-7/v7-0-5-73943.md).

# Version 7.0.5.73943 Changelog (January 31st, 2020)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 7.0.5.73943
* Release Date: January 31st, 2020
* Built with Xcode 11.3.1 (11C504)

## New

* PDFs can be merged with the [`PTAddPagesViewController`](https://sdk.apryse.com/api/ios/Classes/PTAddPagesViewController.html), which allows adding pages to a document from another document, image, or set of blank page templates.

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-f872931c80c6666c224f6a20cb1c1f6e5e56d243%2Ff081b2812656efdfd129418a8c5891ba851b1062-1125x2436.png?alt=media)

* Annotations can now be copied and pasted within the same document as well as across documents. Annotation copy/paste can be accessed from the annotation selection menu or programmatically with the [`PTAnnotationPasteboard`](https://sdk.apryse.com/api/ios/Classes/PTAnnotationPasteboard.html) class.

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-5168124172429e9051235307c493ae73695cb54c%2Fbda09962be6db5aea5c5d440f63326303f1ba9e0-500x1083.gif?alt=media)

* Blank pages from templates, such as lined, grid, graph, and music, can be added to a document with the [`PTPageTemplateViewController`](https://sdk.apryse.com/api/ios/Classes/PTPageTemplateViewController.html).

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-7a729741f4d17547d11297ab5fb10a006fae24ed%2F3f34e3a7e647ea942ee7ca0df7e52e748af94e79-1125x2436.png?alt=media)

* The `PTDocumentViewController` now has an "Export" item in its More-menu that allows exporting a PDF as a copy, a file size optimized copy, or a flattened copy. This item can be controlled with the [`exportButtonHidden`](https://sdk.apryse.com/api/ios/Classes/PTDocumentViewController.html#/c:objc\(cs\)PTDocumentViewController\(py\)exportButtonHidden) property.
* A double-tap and drag to zoom gesture (like in Apple/Google Maps) was added. This is in addition to the existing double-tap zoom gesture.
* Annotations can be flattened into the PDF from the annotation selection menu, making them un-editable.
* Image stamp annotations can now be created from the device camera or existing image files, in addition to photos in the user's Photo Library.
* It is now possible to crop image stamp annotations with the new [`PTImageCropTool`](https://sdk.apryse.com/api/ios/Classes/PTImageCropTool.html).The crop feature can be disabled with the [`PTImageStampAnnotationOptions.isCropEnabled`](https://sdk.apryse.com/api/ios/Classes/PTImageStampAnnotationOptions.html#/c:objc\(cs\)PTImageStampAnnotationOptions\(py\)cropEnabled) property, accessible from the `PTToolManager` class's [`imageStampAnnotationsOptions`](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html#/c:objc\(cs\)PTToolManager\(py\)imageStampAnnotationOptions) property.

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-4772390dd2075e202583d9821dce22dba2e1f313%2Fefb89db28a388dceec683509b7f502b66f9a74e2-500x1083.gif?alt=media)

*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-7/v7-0-5-73943.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
